Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jun 2022 12:12:20 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? I have refunded two orders  from more than 10 days and till now the money didn’t go to my account. I need the money because I’m traveling. Please reply to me ASAP. Thanks. Here are the numbers of the two orders,8170932129 / 8170004513 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4403489